package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskStrategyDictionaryEntity;
import com.ruoyi.web.v3.model.request.HbRiskStrategyDictionaryPageReq;

/**
 * <p>
 * v3.0隐患与治理字典表 服务类
 * </p>
 */
public interface IHbRiskStrategyDictionaryService extends IService<HbRiskStrategyDictionaryEntity> {

    AjaxResult add(HbRiskStrategyDictionaryEntity request);

    AjaxResult edit(HbRiskStrategyDictionaryEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskStrategyDictionaryPageReq request);

    AjaxResult listAll();

}
